/
githubmirror
/
kubernetes
Обзор
Документация
Войти
/
githubmirror
/
kubernetes
Код
Запросы
0
Пакеты
0
Релизы
0
Аналитика
Безопасность
master
hack/verify-gofmt.sh
68 строк
2 KB
Tetiana Khotiainsteva
Update hack/verify-gofmt.sh
08 июн 2026, 16:31
Не верифицирован
08 июн 2026, 16:31
8cbbb97
Код
Авторство
О чём код?
#!/usr/bin/env bash # Copyright 2014 The Kubernetes Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in writing, software # distributed under the License is distributed on an "AS IS" BASIS, # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. # See the License for the specific language governing permissions and # limitations under the License. # This script checks whether the source code needs to be formatted or not by # `gofmt`. Run `hack/update-gofmt.sh` to actually format sources. # # Note: gofmt output can change between go versions. # # Usage: `hack/verify-gofmt.sh`. set -o errexit set -o nounset set -o pipefail KUBE_ROOT=$(dirname "${BASH_SOURCE[0]}")/.. source "${KUBE_ROOT}/hack/lib/init.sh" cd "${KUBE_ROOT}" kube::golang::setup_env find_files() { find . -not \( \ \( \ -wholename './.git' \ -o -wholename './_output' \ -o -wholename './release' \ -o -wholename './target' \ -o -wholename '*/third_party/*' \ -o -wholename '*/vendor/*' \ -o -wholename '*/testdata/*' \ -o -wholename '*/bindata.go' \ \) -prune \ \) -name '*.go' } # GOTOOLCHAIN has no effect on the version of gofmt. # We need to find right gofmt, otherwise the one in PATH will be used. gofmt="$(go env GOROOT)/bin/gofmt" if [[ ! -x "${gofmt}" ]]; then echo "Failed to find $gofmt" >&2 exit 1 fi # gofmt exits with non-zero exit code if it finds a problem unrelated to # formatting (e.g., a file does not parse correctly). Without "|| true" this # would have led to no useful error message from gofmt, because the script would # have failed before getting to the "echo" in the block below. diff=$(find_files | xargs "${gofmt}" -d -s 2>&1) || true if [[ -n "${diff}" ]]; then echo "${diff}" >&2 echo >&2 echo "Run ./hack/update-gofmt.sh" >&2 exit 1 fi